/*
 * Copyright Contributors to the fusa-gcc-plugin project
 *
 * SPDX-License-Identifier: LGPL-2.1-or-later
 */
#pragma once

#include <string>

using namespace std;

// https://stackoverflow.com/questions/1798112/removing-leading-and-trailing-spaces-from-a-string
namespace strutils {
inline string &ltrim(string &s, const char *t = " \t\n\r\f\v") {
  s.erase(0, s.find_first_not_of(t));
  return s;
}

inline string &rtrim(string &s, const char *t = " \t\n\r\f\v") {
  s.erase(s.find_last_not_of(t) + 1);
  return s;
}

inline string &trim(string &s, const char *t = " \t\n\r\f\v") {
  return ltrim(rtrim(s, t), t);
}
} // namespace strutils
